Subject: Clearinghouse for DD events

From: "Elizabeth Spike" <[email-masked]>
Date: Thu, 7 Jun 2007 12:45:49 -0400

Hi, my name is Elizabeth Spike and I am a science teacher in Tallahassee, Florida.  I am coordinating DD2008 for the Center for Inquiry here in town at our local natural history museum (the museum showcases a combination of early north florida cultural history of both Amerindian and European settlers as well as the regional flora and fauna) .  We have selected this site since it lends itself nicely to guided interpretive tours on the campus where the public can be informed about the natural diversity and how evolution has shaped it over thousands of years.  

We also have several guest speakers, which include Michael Ruse and Harry Kroto. Both are professors at Florida State University.  We have our very own Charles Darwin who will speak to the audience and mingle with families and students around the museum. And we are even toying with the idea of a Darwin Look Alike contest!

We will have 'make and take' for kids.  Kids will be exposed to the nature of science and evidence for evolution through hands-on activities.

However, I need to have an information table.  I have some local pamphlets and hand outs but would like more for those who are really interested in evolution and Darwin.

This is why I am emailing you.  I applaud your efforts to encourage local Darwin Day events every year and making it possible to list these events from your site but I am not happy with the lack of resources you are offering.  I saw the bookmarks and announcements but what I really need is a clearing house of professional societies and grassroot organizations who want to donate pamphlets, pencils, and other items to Darwin Day events.  For example, AAAS, Alliance for Science, NCSE, Clergy letter project etc might want to increase their exposure and membership and my Darwin Day event is a great place to make the connection between lay people and these groups.  Tallahassee is home to two universities: Florida State and Florida A&M.  Students aren't usually aware of the value of these organizations but may if I have access to handouts from them.

I would like your site to find a dozen organizations, professional and grassroots, to agree to offering free materials for Darwin Day events and make the links to them accessible from your site.  This way, people like me can send one request to a dozen sites at once versus emailing them one by one.

Thanks for considering my suggestion.  I am trying to open up doors to an otherwise closed community, using Darwin Day to make it possible.

Elizabeth Spike
DD2008 Coordinator
CFI Tallahassee